petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsUsed

Indicates if PETSc has used a particular option set in the database

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsUsed(const char *option,PetscBool *used)

Not Collective

### Input Parameter

option -string name of option

### Output Parameter

used -PETSC_TRUE if the option was used, otherwise false, including if option was not found in options database

### See Also

PetscOptionsView(), PetscOptionsLeft(), PetscOptionsAllUsed()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages